namespace efl { namespace text { 
inline ::efl::eolian::return_traits<void>::type Font::font_get( ::efl::eolian::out_traits< ::efl::eina::string_view>::type font,  ::efl::eolian::out_traits<int>::type size) const
{
   const char * __out_param_font = {};
   int __out_param_size = {};
    ::efl_text_font_get(this->_eo_ptr()
      , & __out_param_font
      , & __out_param_size);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits< ::efl::eina::string_view>::type, const char *>(font, __out_param_font);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(size, __out_param_size);
}
inline ::efl::eolian::return_traits<void>::type Font::font_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font,  ::efl::eolian::in_traits<int>::type size) const
{
    ::efl_text_font_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_source_get() const
{
   const char * __return_value =  ::efl_text_font_source_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_source_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font_source) const
{
    ::efl_text_font_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font_source));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_fallbacks_get() const
{
   const char * __return_value =  ::efl_text_font_fallbacks_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_fallbacks_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font_fallbacks) const
{
    ::efl_text_font_fallbacks_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font_fallbacks));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Weight>::type Font::font_weight_get() const
{
   Efl_Text_Font_Weight __return_value =  ::efl_text_font_weight_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Weight>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_weight_set( ::efl::eolian::in_traits<Efl_Text_Font_Weight>::type font_weight) const
{
    ::efl_text_font_weight_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Weight,  ::efl::eolian::in_traits<Efl_Text_Font_Weight>::type>(font_weight));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Slant>::type Font::font_slant_get() const
{
   Efl_Text_Font_Slant __return_value =  ::efl_text_font_slant_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Slant>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_slant_set( ::efl::eolian::in_traits<Efl_Text_Font_Slant>::type style) const
{
    ::efl_text_font_slant_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Slant,  ::efl::eolian::in_traits<Efl_Text_Font_Slant>::type>(style));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Width>::type Font::font_width_get() const
{
   Efl_Text_Font_Width __return_value =  ::efl_text_font_width_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Width>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_width_set( ::efl::eolian::in_traits<Efl_Text_Font_Width>::type width) const
{
    ::efl_text_font_width_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Width,  ::efl::eolian::in_traits<Efl_Text_Font_Width>::type>(width));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_lang_get() const
{
   const char * __return_value =  ::efl_text_font_lang_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_lang_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type lang) const
{
    ::efl_text_font_lang_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(lang));
}
} } 
namespace eo_cxx {
namespace efl { namespace text { 
inline ::efl::eolian::return_traits<void>::type Font::font_get( ::efl::eolian::out_traits< ::efl::eina::string_view>::type font,  ::efl::eolian::out_traits<int>::type size) const
{
   const char * __out_param_font = {};
   int __out_param_size = {};
    ::efl_text_font_get(this->_eo_ptr()
      , & __out_param_font
      , & __out_param_size);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits< ::efl::eina::string_view>::type, const char *>(font, __out_param_font);
   ::efl::eolian::assign_out< ::efl::eolian::out_traits<int>::type, int>(size, __out_param_size);
}
inline ::efl::eolian::return_traits<void>::type Font::font_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font,  ::efl::eolian::in_traits<int>::type size) const
{
    ::efl_text_font_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(size));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_source_get() const
{
   const char * __return_value =  ::efl_text_font_source_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_source_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font_source) const
{
    ::efl_text_font_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font_source));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_fallbacks_get() const
{
   const char * __return_value =  ::efl_text_font_fallbacks_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_fallbacks_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type font_fallbacks) const
{
    ::efl_text_font_fallbacks_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(font_fallbacks));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Weight>::type Font::font_weight_get() const
{
   Efl_Text_Font_Weight __return_value =  ::efl_text_font_weight_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Weight>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_weight_set( ::efl::eolian::in_traits<Efl_Text_Font_Weight>::type font_weight) const
{
    ::efl_text_font_weight_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Weight,  ::efl::eolian::in_traits<Efl_Text_Font_Weight>::type>(font_weight));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Slant>::type Font::font_slant_get() const
{
   Efl_Text_Font_Slant __return_value =  ::efl_text_font_slant_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Slant>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_slant_set( ::efl::eolian::in_traits<Efl_Text_Font_Slant>::type style) const
{
    ::efl_text_font_slant_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Slant,  ::efl::eolian::in_traits<Efl_Text_Font_Slant>::type>(style));
}
inline ::efl::eolian::return_traits<Efl_Text_Font_Width>::type Font::font_width_get() const
{
   Efl_Text_Font_Width __return_value =  ::efl_text_font_width_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Text_Font_Width>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_width_set( ::efl::eolian::in_traits<Efl_Text_Font_Width>::type width) const
{
    ::efl_text_font_width_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Efl_Text_Font_Width,  ::efl::eolian::in_traits<Efl_Text_Font_Width>::type>(width));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Font::font_lang_get() const
{
   const char * __return_value =  ::efl_text_font_lang_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Font::font_lang_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type lang) const
{
    ::efl_text_font_lang_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(lang));
}
inline efl::text::Font::operator ::efl::text::Font() const { return *static_cast< ::efl::text::Font const*>(static_cast<void const*>(this)); }
inline efl::text::Font::operator ::efl::text::Font&() { return *static_cast< ::efl::text::Font*>(static_cast<void*>(this)); }
inline efl::text::Font::operator ::efl::text::Font const&() const { return *static_cast< ::efl::text::Font const*>(static_cast<void const*>(this)); }
} } }

